<template>
  <v-card class="ml-4" flat>
    <v-card-title>
      {{ tableTitle }}
    </v-card-title>
    <v-data-table
      :headers="headers"
      :search="search"
      :items="items"
      :items-per-page="5"
      locale="es"
    >
      <template v-if="fullName" #item.full_name="{ item }">
        {{ item.user.name }} {{ item.user.fatherLastname }} {{ item.user.motherLastname }}
      </template>
      <template #item.state="{ item }">
        <v-chip
          v-if="item.state"
          :color="getColor(item.state)"
          dark
          outlined
          class="active"
        >
          <span>Activo</span>
        </v-chip>
        <v-chip
          v-else
          :color="getColor(item.state)"
          dark
          outlined
        >
          Inactivo
        </v-chip>
      </template>
      <template #item.edit="{ item }">
        <v-btn
          v-if="true"
          rounded
          color="primary"
          dark
          @click="handleClick"
        >
          <span>Editar</span>
        </v-btn>
      </template>
    </v-data-table>
  </v-card>
</template>

<script>
export default {
  name: 'DataTable',
  props: {
    'tableTitle': {
      type: String,
      default: '',
    },
    'headers': {
      type: Array,
      default: null,
    },
    'items': {
      default: null,
      type: Array,
    },
    'search': {
      default: '',
      type: String,
    },
    'fullName': {
      default: false,
      type: Boolean,
    },
  },
  watch: {
    search(newValue) {
      return newValue;
    },
  },
  methods: {
    getColor(state) {
      if (state) { return 'green'; } else { return 'red'; }
    },
  },
};
</script>

<style scoped>
.active {
  width: 4.7rem;
}
.active span {
  margin-left: 0.3rem;
}
</style>
